use chrono::Utc;
use chrono_tz::US::Eastern;

use crate::ncaa::query;
use crate::ncaa::{
    game_info::GameInfo,
    scoreboard::Scoreboard,
    scoring_summary::ScoringSummary,
    sports,
    football,
    basketball,
};

#[tokio::test]
async fn test_query_game_info() -> Result<(), reqwest::Error>  {
    // Football
    let mut response: GameInfo = query::game_info("5932806").await?;
    assert_eq!(response.input_md5.is_empty(), false);
    // Basketball Mens
    response = query::game_info("5899758").await?;
    assert_eq!(response.input_md5.is_empty(), false);
    // Basketball Womens
    response = query::game_info("5918630").await?;
    assert_eq!(response.input_md5.is_empty(), false);
    // Soccer Mens
    response = query::game_info("5868569").await?;
    assert_eq!(response.input_md5.is_empty(), false);
    // Baseball
    response = query::game_info("6005336").await?;
    assert_eq!(response.input_md5.is_empty(), false);  
    // Softball
    response = query::game_info("6005351").await?;
    assert_eq!(response.input_md5.is_empty(), false);
    Ok(())
}